Bug 181596 - Unable to select 'custom' gdm session
Unable to select 'custom' gdm session
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-02-14 20:04 EST by Valdis Kletnieks
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2006-02-14 20:04:09 EST
Description of problem:
/etc/gdm/Xsession accepts 'failsafe', 'default', or 'custom'. However,
/usr/libexec/gdmgreeter allows 'last', 'default', and 'failsafe' - with no way
to select 'custom'.  As a result, we drop into /etc/gdm/Xsession and since $1
isn't "custom", $command doesn't get set to "custom", and the user .xsession
won't get selected at line 208.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a ~/.xsession (with perhaps just 'exec xterm' in it)
2. Try to get gdmgreeter to select 'custom' so it gets invoked.
Actual results:

Expected results:

Additional info:
Comment 1 Ray Strode [halfline] 2007-03-06 14:46:25 EST
The easiest way to get a custom session is to create a desktop file:

[Desktop Entry]
Name=Execute an xterm

and put it in /usr/share/xsessions

Is that sufficient for your needs?
Comment 2 Ray Strode [halfline] 2007-08-14 11:49:23 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.